package ru.potapov.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2019-11-15T12:45:48.176+03:00
 * Generated source version: 3.2.7
 *
 */
@WebService(targetNamespace = "http://endpoint.tm.potapov.ru/", name = "ISessionEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface ISessionEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/ISessionEndpoint/addSessionRequest", output = "http://endpoint.tm.potapov.ru/ISessionEndpoint/addSessionResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/ISessionEndpoint/addSession/Fault/ValidateExeption")})
    @RequestWrapper(localName = "addSession", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.AddSession")
    @ResponseWrapper(localName = "addSessionResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.AddSessionResponse")
    public void addSession(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        java.lang.String arg1
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/ISessionEndpoint/removeSessionRequest", output = "http://endpoint.tm.potapov.ru/ISessionEndpoint/removeSessionResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/ISessionEndpoint/removeSession/Fault/ValidateExeption")})
    @RequestWrapper(localName = "removeSession", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.RemoveSession")
    @ResponseWrapper(localName = "removeSessionResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.RemoveSessionResponse")
    public void removeSession(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0
    ) throws ValidateExeption_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/ISessionEndpoint/generateSessionRequest", output = "http://endpoint.tm.potapov.ru/ISessionEndpoint/generateSessionResponse")
    @RequestWrapper(localName = "generateSession", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GenerateSession")
    @ResponseWrapper(localName = "generateSessionResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GenerateSessionResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.potapov.tm.endpoint.Session generateSession(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        ru.potapov.tm.endpoint.User arg1
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/ISessionEndpoint/getSessionCollectionRequest", output = "http://endpoint.tm.potapov.ru/ISessionEndpoint/getSessionCollectionResponse")
    @RequestWrapper(localName = "getSessionCollection", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetSessionCollection")
    @ResponseWrapper(localName = "getSessionCollectionResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.GetSessionCollectionResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.potapov.tm.endpoint.Session> getSessionCollection();

    @WebMethod
    @Action(input = "http://endpoint.tm.potapov.ru/ISessionEndpoint/validSessionRequest", output = "http://endpoint.tm.potapov.ru/ISessionEndpoint/validSessionResponse", fault = {@FaultAction(className = ValidateExeption_Exception.class, value = "http://endpoint.tm.potapov.ru/ISessionEndpoint/validSession/Fault/ValidateExeption")})
    @RequestWrapper(localName = "validSession", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.ValidSession")
    @ResponseWrapper(localName = "validSessionResponse", targetNamespace = "http://endpoint.tm.potapov.ru/", className = "ru.potapov.tm.endpoint.ValidSessionResponse")
    @WebResult(name = "return", targetNamespace = "")
    public boolean validSession(
        @WebParam(name = "arg0", targetNamespace = "")
        ru.potapov.tm.endpoint.Session arg0
    ) throws ValidateExeption_Exception;
}
